For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
      • POSTCopy feature flag
      • POSTCreate a feature flag
      • DELDelete feature flag
      • GETGet expiring context targets for feature flag
      • GETGet expiring user targets for feature flag
      • GETGet feature flag
      • GETGet feature flag status
      • GETGet flag status across environments
      • POSTGet migration safety issues
      • GETList feature flag statuses
      • GETList feature flags
      • PATCHUpdate expiring context targets on feature flag
      • PATCHUpdate expiring user targets on feature flag
      • PATCHUpdate feature flag
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewFeature Flags

Get migration safety issues

POST
/api/v2/projects/:projectKey/flags/:flagKey/environments/:environmentKey/migration-safety-issues
POST
/api/v2/projects/:projectKey/flags/:flagKey/environments/:environmentKey/migration-safety-issues
$curl -X POST https://app.launchdarkly.com/api/v2/projects/projectKey/flags/flagKey/environments/environmentKey/migration-safety-issues \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "instructions": [
> {}
> ]
>}'
1[
2 {
3 "causingRuleId": "string",
4 "affectedRuleIds": [
5 "string"
6 ],
7 "issue": "string",
8 "oldSystemAffected": true
9 }
10]
Returns the migration safety issues that are associated with the POSTed flag patch. The patch must use the semantic patch format for updating feature flags.
Was this page helpful?
Previous

List feature flag statuses

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
flagKeystringRequiredformat: "string"
The migration flag key
environmentKeystringRequiredformat: "string"
The environment key

Request

This endpoint expects an object.
instructionslist of maps from strings to anyRequired
Semantic patch instructions. The same ones that are valid for flags are valid here.
commentstringOptional

Response

Migration safety issues found
causingRuleIdstring
The ID of the rule which caused this issue
affectedRuleIdslist of strings

A list of the IDs of the rules which are affected by this issue. fallthrough is a sentinel value for the default rule.

issuestring

A description of the issue that causingRuleId has caused for affectedRuleIds.

oldSystemAffectedboolean

Whether the changes caused by causingRuleId bring inconsistency to the old system

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
503
Service Unavailable Error